/*
 * Copyright 2022, Oak Ridge National Laboratory.
 * MGARD-X: MultiGrid Adaptive Reduction of Data Portable across GPUs and CPUs
 * Author: Jieyang Chen (chenj3@ornl.gov)
 * Date: March 17, 2022
 */

#include "mgard-x/DataRefactoring/MultiDimension/Coefficient/CalcCoefficientsND.hpp"
// clang-format off
namespace mgard_x {

namespace data_refactoring {

namespace multi_dimension {

template void CalcCoefficientsND<5, float, OPENMP>(
    Hierarchy<5, float, OPENMP> &hierarchy,
    SubArray<5, float, OPENMP> dinput1,
    SubArray<5, float, OPENMP> dinput2,
    SubArray<5, float, OPENMP> &doutput, SIZE l,
    int queue_idx);

} // namespace multi_dimension

} // namespace data_refactoring

} // namespace mgard_x
// clang-format on
